package ${domain}.module.${module}.req;

<#list importList as i>
${i}
</#list>
<#list entNames as entName>
import ${domain}.module.${module}.ent.${entName};
</#list>
<#if fatherName == 'BaseRequest'>
import ${domain}.frame.base.BaseRequest;
<#elseif fatherName == 'BaseFindRequest'>
import ${domain}.frame.base.BaseFindRequest;
<#elseif fatherName == 'BaseUpdateRequest'>
import ${domain}.frame.base.BaseUpdateRequest;
<#elseif fatherName == 'BaseSearchRequest'>
import ${domain}.frame.base.BaseSearchRequest;
</#if>
import ${domain}.module.${module}.rsp.${rspClassName};

<#list annotation as i>
${i}
</#list>
public class ${className} extends ${fatherName}<${rspClassName}> {

<#list body as i>
<#if !i?contains("@")>
${i}
</#if>
</#list>

    public void check() {

    }

    public String path() {
        return "/${module}/${target}/${method}";
    }

<#if !isTempReq>
    public Class<${rspClassName}> responseClass() {
        return ${rspClassName}.class;
    }
<#elseif isTempReq>
    public Class responseClass() {
        return null;
    }
</#if>
}
